Last Comment Bug 422887 - artwork for about:robots
: artwork for about:robots
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
-- normal (vote)
: Firefox 3 beta5
Assigned To: Justin Dolske [:Dolske]
:
:
Mentors:
Depends on: robots
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 02:05 PDT by Justin Dolske [:Dolske]
Modified: 2008-03-17 11:36 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot (88.23 KB, image/png)
2008-03-14 02:05 PDT, Justin Dolske [:Dolske]
no flags Details
Patch v.1 (3.63 KB, patch)
2008-03-14 02:06 PDT, Justin Dolske [:Dolske]
mbeltzner: review+
mbeltzner: ui‑review+
mbeltzner: approval1.9+
Details | Diff | Splinter Review
screenshot (66.83 KB, image/jpeg)
2008-03-15 04:04 PDT, pal-moz
no flags Details
Manifest fix (2.14 KB, patch)
2008-03-15 16:39 PDT, Justin Dolske [:Dolske]
mbeltzner: approval1.9+
Details | Diff | Splinter Review

Description User image Justin Dolske [:Dolske] 2008-03-14 02:05:35 PDT
Created attachment 309368 [details]
screenshot

Got the icon artwork from tara/jslater today. This visually ties in the about:robots page to the beta firstrun pages. [eg, http://www.mozilla.com/en-US/firefox/3.0b4/firstrun/]
Comment 1 User image Justin Dolske [:Dolske] 2008-03-14 02:06:55 PDT
Created attachment 309369 [details] [diff] [review]
Patch v.1
Comment 2 User image Justin Dolske [:Dolske] 2008-03-14 23:56:33 PDT
Checking in browser/base/jar.mn;
  new revision: 1.122; previous revision: 1.121
Checking in browser/base/content/aboutRobots-icon.png;
  initial revision: 1.1
Checking in browser/base/content/aboutRobots-widget-left.png;
  initial revision: 1.1
Checking in browser/base/content/aboutRobots-widget-right.png;
  initial revision: 1.1
Checking in browser/base/content/aboutRobots.xhtml;
  new revision: 1.2; previous revision: 1.1
Comment 3 User image pal-moz 2008-03-15 04:04:56 PDT
Created attachment 309622 [details]
screenshot

20080315_0012_firefox-3.0b5pre.en-US.win32.zip

no images.
Comment 4 User image AKIHIRO Misaki (a.k.a Kuden) 2008-03-15 05:44:46 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9b5pre) {Build ID: 2008031423}

These images seem to be broken. 
These cannot be opened even by Firefox and other image viewers. 
Comment 5 User image AKIHIRO Misaki (a.k.a Kuden) 2008-03-15 06:05:23 PDT
    <div id="errorPageContainer"
         style="background: url('chrome://browser/content/aboutRobots-icon.png') left 0 no-repeat -moz-Field; -moz-background-origin: content;">

> -moz-Field;
background-color of #errorPageContainer is different in each theme. 
This is not themeble. 

https://bugzilla.mozilla.org/show_bug.cgi?id=417302#c53
Comment 6 User image Justin Dolske [:Dolske] 2008-03-15 16:39:27 PDT
Created attachment 309697 [details] [diff] [review]
Manifest fix

Oops. Too much cut'n'paste, so the icons were being preprocessed. The clever PNG header was the tipoff.
Comment 7 User image Justin Dolske [:Dolske] 2008-03-15 16:49:09 PDT
(In reply to comment #5)

> This is not themeble. 

It's just a whimsical page so I don't think themeability is a big concern here. If there's a trivial one-line fix, it might be accepted although the tree is basically in a blockers-only state now.
Comment 8 User image AKIHIRO Misaki (a.k.a Kuden) 2008-03-15 17:24:52 PDT
(In reply to comment #7)
> (In reply to comment #5)
> 
> > This is not themeble. 
> 
> It's just a whimsical page so I don't think themeability is a big concern here.
> If there's a trivial one-line fix, it might be accepted although the tree is
> basically in a blockers-only state now.

1. about:robots use netError.css
2. A color scheme of netError.css is different in each theme. 
3. aboutRobots.xhtml hardcoding background-color of #errorPageContainer.
4. aboutRobots.xhtml doesn't have special id or class.
5. Themer doesn't have the method of adjusting about:robots. 

Actually, I found a tricky method. However, I do'nt think that this method is good. 


Note You need to log in before you can comment on or make changes to this bug.